org.firebirdsql.jdbc.parser

## Interface JaybirdSqlListener

- All Superinterfaces:
    org.antlr.v4.runtime.tree.ParseTreeListener
  All Known Implementing Classes:
    JaybirdSqlBaseListener

      public interface JaybirdSqlListener
      extends org.antlr.v4.runtime.tree.ParseTreeListener

  This interface defines a complete listener for a parse tree produced by `JaybirdSqlParser`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enterArrayElement(JaybirdSqlParser.ArrayElementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.arrayElement()`.
    `void` | `enterArrayRange(JaybirdSqlParser.ArrayRangeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.arrayRange()`.
    `void` | `enterArraySpec(JaybirdSqlParser.ArraySpecContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.arraySpec()`.
    `void` | `enterArrayType(JaybirdSqlParser.ArrayTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.arrayType()`.
    `void` | `enterAssignment(JaybirdSqlParser.AssignmentContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.assignment()`.
    `void` | `enterAssignments(JaybirdSqlParser.AssignmentsContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.assignments()`.
    `void` | `enterBlobSegSize(JaybirdSqlParser.BlobSegSizeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.blobSegSize()`.
    `void` | `enterBlobSubtype(JaybirdSqlParser.BlobSubtypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.blobSubtype()`.
    `void` | `enterBlobType(JaybirdSqlParser.BlobTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.blobType()`.
    `void` | `enterCastExpression(JaybirdSqlParser.CastExpressionContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.castExpression()`.
    `void` | `enterCharSetCharType(JaybirdSqlParser.CharSetCharTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.charSetCharType()`.
    `void` | `enterCharSetClause(JaybirdSqlParser.CharSetClauseContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.charSetClause()`.
    `void` | `enterCharType(JaybirdSqlParser.CharTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.charType()`.
    `void` | `enterColumnList(JaybirdSqlParser.ColumnListContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.columnList()`.
    `void` | `enterColumnName(JaybirdSqlParser.ColumnNameContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.columnName()`.
    `void` | `enterDataTypeDescriptor(JaybirdSqlParser.DataTypeDescriptorContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.dataTypeDescriptor()`.
    `void` | `enterDefaultValuesClause(JaybirdSqlParser.DefaultValuesClauseContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.defaultValuesClause()`.
    `void` | `enterDeleteStatement(JaybirdSqlParser.DeleteStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.deleteStatement()`.
    `void` | `enterExtractFunction(JaybirdSqlParser.ExtractFunctionContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.extractFunction()`.
    `void` | `enterFullIdentifier(JaybirdSqlParser.FullIdentifierContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.
    `void` | `enterFunction(JaybirdSqlParser.FunctionContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.function()`.
    `void` | `enterInsertColumns(JaybirdSqlParser.InsertColumnsContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.insertColumns()`.
    `void` | `enterInsertStatement(JaybirdSqlParser.InsertStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.insertStatement()`.
    `void` | `enterInsertValues(JaybirdSqlParser.InsertValuesContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.insertValues()`.
    `void` | `enterMatchingClause(JaybirdSqlParser.MatchingClauseContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.matchingClause()`.
    `void` | `enterNextValueExpression(JaybirdSqlParser.NextValueExpressionContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.nextValueExpression()`.
    `void` | `enterNonArrayType(JaybirdSqlParser.NonArrayTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.nonArrayType()`.
    `void` | `enterNonCharSetCharType(JaybirdSqlParser.NonCharSetCharTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.nonCharSetCharType()`.
    `void` | `enterNonCharType(JaybirdSqlParser.NonCharTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.nonCharType()`.
    `void` | `enterNullValue(JaybirdSqlParser.NullValueContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.nullValue()`.
    `void` | `enterParameter(JaybirdSqlParser.ParameterContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.parameter()`.
    `void` | `enterReturningClause(JaybirdSqlParser.ReturningClauseContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.returningClause()`.
    `void` | `enterSelectClause(JaybirdSqlParser.SelectClauseContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.selectClause()`.
    `void` | `enterSimpleIdentifier(JaybirdSqlParser.SimpleIdentifierContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.
    `void` | `enterSimpleType(JaybirdSqlParser.SimpleTypeContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.simpleType()`.
    `void` | `enterSimpleValue(JaybirdSqlParser.SimpleValueContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.simpleValue()`.
    `void` | `enterStatement(JaybirdSqlParser.StatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.statement()`.
    `void` | `enterSubstringFunction(JaybirdSqlParser.SubstringFunctionContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.substringFunction()`.
    `void` | `enterTableName(JaybirdSqlParser.TableNameContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.tableName()`.
    `void` | `enterTrimFunction(JaybirdSqlParser.TrimFunctionContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.trimFunction()`.
    `void` | `enterTrimSpecification(JaybirdSqlParser.TrimSpecificationContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.trimSpecification()`.
    `void` | `enterUpdateOrInsertStatement(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.
    `void` | `enterUpdateStatement(JaybirdSqlParser.UpdateStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.updateStatement()`.
    `void` | `enterValue(JaybirdSqlParser.ValueContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.value()`.
    `void` | `enterValueList(JaybirdSqlParser.ValueListContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.valueList()`.
    `void` | `exitArrayElement(JaybirdSqlParser.ArrayElementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.arrayElement()`.
    `void` | `exitArrayRange(JaybirdSqlParser.ArrayRangeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.arrayRange()`.
    `void` | `exitArraySpec(JaybirdSqlParser.ArraySpecContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.arraySpec()`.
    `void` | `exitArrayType(JaybirdSqlParser.ArrayTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.arrayType()`.
    `void` | `exitAssignment(JaybirdSqlParser.AssignmentContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.assignment()`.
    `void` | `exitAssignments(JaybirdSqlParser.AssignmentsContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.assignments()`.
    `void` | `exitBlobSegSize(JaybirdSqlParser.BlobSegSizeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.blobSegSize()`.
    `void` | `exitBlobSubtype(JaybirdSqlParser.BlobSubtypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.blobSubtype()`.
    `void` | `exitBlobType(JaybirdSqlParser.BlobTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.blobType()`.
    `void` | `exitCastExpression(JaybirdSqlParser.CastExpressionContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.castExpression()`.
    `void` | `exitCharSetCharType(JaybirdSqlParser.CharSetCharTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.charSetCharType()`.
    `void` | `exitCharSetClause(JaybirdSqlParser.CharSetClauseContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.charSetClause()`.
    `void` | `exitCharType(JaybirdSqlParser.CharTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.charType()`.
    `void` | `exitColumnList(JaybirdSqlParser.ColumnListContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.columnList()`.
    `void` | `exitColumnName(JaybirdSqlParser.ColumnNameContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.columnName()`.
    `void` | `exitDataTypeDescriptor(JaybirdSqlParser.DataTypeDescriptorContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.dataTypeDescriptor()`.
    `void` | `exitDefaultValuesClause(JaybirdSqlParser.DefaultValuesClauseContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.defaultValuesClause()`.
    `void` | `exitDeleteStatement(JaybirdSqlParser.DeleteStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.deleteStatement()`.
    `void` | `exitExtractFunction(JaybirdSqlParser.ExtractFunctionContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.extractFunction()`.
    `void` | `exitFullIdentifier(JaybirdSqlParser.FullIdentifierContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.
    `void` | `exitFunction(JaybirdSqlParser.FunctionContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.function()`.
    `void` | `exitInsertColumns(JaybirdSqlParser.InsertColumnsContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.insertColumns()`.
    `void` | `exitInsertStatement(JaybirdSqlParser.InsertStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.insertStatement()`.
    `void` | `exitInsertValues(JaybirdSqlParser.InsertValuesContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.insertValues()`.
    `void` | `exitMatchingClause(JaybirdSqlParser.MatchingClauseContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.matchingClause()`.
    `void` | `exitNextValueExpression(JaybirdSqlParser.NextValueExpressionContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.nextValueExpression()`.
    `void` | `exitNonArrayType(JaybirdSqlParser.NonArrayTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.nonArrayType()`.
    `void` | `exitNonCharSetCharType(JaybirdSqlParser.NonCharSetCharTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.nonCharSetCharType()`.
    `void` | `exitNonCharType(JaybirdSqlParser.NonCharTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.nonCharType()`.
    `void` | `exitNullValue(JaybirdSqlParser.NullValueContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.nullValue()`.
    `void` | `exitParameter(JaybirdSqlParser.ParameterContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.parameter()`.
    `void` | `exitReturningClause(JaybirdSqlParser.ReturningClauseContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.returningClause()`.
    `void` | `exitSelectClause(JaybirdSqlParser.SelectClauseContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.selectClause()`.
    `void` | `exitSimpleIdentifier(JaybirdSqlParser.SimpleIdentifierContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.
    `void` | `exitSimpleType(JaybirdSqlParser.SimpleTypeContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.simpleType()`.
    `void` | `exitSimpleValue(JaybirdSqlParser.SimpleValueContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.simpleValue()`.
    `void` | `exitStatement(JaybirdSqlParser.StatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.statement()`.
    `void` | `exitSubstringFunction(JaybirdSqlParser.SubstringFunctionContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.substringFunction()`.
    `void` | `exitTableName(JaybirdSqlParser.TableNameContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.tableName()`.
    `void` | `exitTrimFunction(JaybirdSqlParser.TrimFunctionContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.trimFunction()`.
    `void` | `exitTrimSpecification(JaybirdSqlParser.TrimSpecificationContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.trimSpecification()`.
    `void` | `exitUpdateOrInsertStatement(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.
    `void` | `exitUpdateStatement(JaybirdSqlParser.UpdateStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.updateStatement()`.
    `void` | `exitValue(JaybirdSqlParser.ValueContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.value()`.
    `void` | `exitValueList(JaybirdSqlParser.ValueListContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.valueList()`.

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeListener

      `enterEveryRule, exitEveryRule, visitErrorNode, visitTerminal`

- - ### Method Detail

    - #### enterStatement

          void enterStatement(JaybirdSqlParser.StatementContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.statement()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitStatement

          void exitStatement(JaybirdSqlParser.StatementContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.statement()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterDeleteStatement

          void enterDeleteStatement(JaybirdSqlParser.DeleteStatementContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.deleteStatement()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitDeleteStatement

          void exitDeleteStatement(JaybirdSqlParser.DeleteStatementContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.deleteStatement()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterUpdateStatement

          void enterUpdateStatement(JaybirdSqlParser.UpdateStatementContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.updateStatement()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitUpdateStatement

          void exitUpdateStatement(JaybirdSqlParser.UpdateStatementContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.updateStatement()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterAssignments

          void enterAssignments(JaybirdSqlParser.AssignmentsContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.assignments()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitAssignments

          void exitAssignments(JaybirdSqlParser.AssignmentsContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.assignments()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterAssignment

          void enterAssignment(JaybirdSqlParser.AssignmentContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.assignment()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitAssignment

          void exitAssignment(JaybirdSqlParser.AssignmentContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.assignment()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterUpdateOrInsertStatement

          void enterUpdateOrInsertStatement(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitUpdateOrInsertStatement

          void exitUpdateOrInsertStatement(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterMatchingClause

          void enterMatchingClause(JaybirdSqlParser.MatchingClauseContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.matchingClause()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitMatchingClause

          void exitMatchingClause(JaybirdSqlParser.MatchingClauseContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.matchingClause()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterInsertStatement

          void enterInsertStatement(JaybirdSqlParser.InsertStatementContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.insertStatement()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitInsertStatement

          void exitInsertStatement(JaybirdSqlParser.InsertStatementContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.insertStatement()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterInsertColumns

          void enterInsertColumns(JaybirdSqlParser.InsertColumnsContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.insertColumns()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitInsertColumns

          void exitInsertColumns(JaybirdSqlParser.InsertColumnsContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.insertColumns()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterInsertValues

          void enterInsertValues(JaybirdSqlParser.InsertValuesContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.insertValues()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitInsertValues

          void exitInsertValues(JaybirdSqlParser.InsertValuesContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.insertValues()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterReturningClause

          void enterReturningClause(JaybirdSqlParser.ReturningClauseContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.returningClause()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitReturningClause

          void exitReturningClause(JaybirdSqlParser.ReturningClauseContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.returningClause()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterDefaultValuesClause

          void enterDefaultValuesClause(JaybirdSqlParser.DefaultValuesClauseContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.defaultValuesClause()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitDefaultValuesClause

          void exitDefaultValuesClause(JaybirdSqlParser.DefaultValuesClauseContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.defaultValuesClause()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterSimpleIdentifier

          void enterSimpleIdentifier(JaybirdSqlParser.SimpleIdentifierContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitSimpleIdentifier

          void exitSimpleIdentifier(JaybirdSqlParser.SimpleIdentifierContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterFullIdentifier

          void enterFullIdentifier(JaybirdSqlParser.FullIdentifierContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitFullIdentifier

          void exitFullIdentifier(JaybirdSqlParser.FullIdentifierContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTableName

          void enterTableName(JaybirdSqlParser.TableNameContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.tableName()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTableName

          void exitTableName(JaybirdSqlParser.TableNameContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.tableName()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterColumnList

          void enterColumnList(JaybirdSqlParser.ColumnListContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.columnList()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitColumnList

          void exitColumnList(JaybirdSqlParser.ColumnListContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.columnList()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterColumnName

          void enterColumnName(JaybirdSqlParser.ColumnNameContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.columnName()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitColumnName

          void exitColumnName(JaybirdSqlParser.ColumnNameContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.columnName()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterValueList

          void enterValueList(JaybirdSqlParser.ValueListContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.valueList()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitValueList

          void exitValueList(JaybirdSqlParser.ValueListContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.valueList()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterValue

          void enterValue(JaybirdSqlParser.ValueContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.value()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitValue

          void exitValue(JaybirdSqlParser.ValueContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.value()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterParameter

          void enterParameter(JaybirdSqlParser.ParameterContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.parameter()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitParameter

          void exitParameter(JaybirdSqlParser.ParameterContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.parameter()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterNullValue

          void enterNullValue(JaybirdSqlParser.NullValueContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.nullValue()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitNullValue

          void exitNullValue(JaybirdSqlParser.NullValueContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.nullValue()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterSimpleValue

          void enterSimpleValue(JaybirdSqlParser.SimpleValueContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.simpleValue()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitSimpleValue

          void exitSimpleValue(JaybirdSqlParser.SimpleValueContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.simpleValue()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterNextValueExpression

          void enterNextValueExpression(JaybirdSqlParser.NextValueExpressionContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.nextValueExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitNextValueExpression

          void exitNextValueExpression(JaybirdSqlParser.NextValueExpressionContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.nextValueExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterCastExpression

          void enterCastExpression(JaybirdSqlParser.CastExpressionContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.castExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitCastExpression

          void exitCastExpression(JaybirdSqlParser.CastExpressionContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.castExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterDataTypeDescriptor

          void enterDataTypeDescriptor(JaybirdSqlParser.DataTypeDescriptorContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.dataTypeDescriptor()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitDataTypeDescriptor

          void exitDataTypeDescriptor(JaybirdSqlParser.DataTypeDescriptorContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.dataTypeDescriptor()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterNonArrayType

          void enterNonArrayType(JaybirdSqlParser.NonArrayTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.nonArrayType()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitNonArrayType

          void exitNonArrayType(JaybirdSqlParser.NonArrayTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.nonArrayType()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterSimpleType

          void enterSimpleType(JaybirdSqlParser.SimpleTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.simpleType()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitSimpleType

          void exitSimpleType(JaybirdSqlParser.SimpleTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.simpleType()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterCharType

          void enterCharType(JaybirdSqlParser.CharTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.charType()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitCharType

          void exitCharType(JaybirdSqlParser.CharTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.charType()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterNonCharSetCharType

          void enterNonCharSetCharType(JaybirdSqlParser.NonCharSetCharTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.nonCharSetCharType()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitNonCharSetCharType

          void exitNonCharSetCharType(JaybirdSqlParser.NonCharSetCharTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.nonCharSetCharType()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterCharSetCharType

          void enterCharSetCharType(JaybirdSqlParser.CharSetCharTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.charSetCharType()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitCharSetCharType

          void exitCharSetCharType(JaybirdSqlParser.CharSetCharTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.charSetCharType()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterNonCharType

          void enterNonCharType(JaybirdSqlParser.NonCharTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.nonCharType()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitNonCharType

          void exitNonCharType(JaybirdSqlParser.NonCharTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.nonCharType()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterBlobType

          void enterBlobType(JaybirdSqlParser.BlobTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.blobType()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitBlobType

          void exitBlobType(JaybirdSqlParser.BlobTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.blobType()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterBlobSubtype

          void enterBlobSubtype(JaybirdSqlParser.BlobSubtypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.blobSubtype()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitBlobSubtype

          void exitBlobSubtype(JaybirdSqlParser.BlobSubtypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.blobSubtype()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterBlobSegSize

          void enterBlobSegSize(JaybirdSqlParser.BlobSegSizeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.blobSegSize()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitBlobSegSize

          void exitBlobSegSize(JaybirdSqlParser.BlobSegSizeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.blobSegSize()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterCharSetClause

          void enterCharSetClause(JaybirdSqlParser.CharSetClauseContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.charSetClause()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitCharSetClause

          void exitCharSetClause(JaybirdSqlParser.CharSetClauseContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.charSetClause()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterArrayType

          void enterArrayType(JaybirdSqlParser.ArrayTypeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.arrayType()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitArrayType

          void exitArrayType(JaybirdSqlParser.ArrayTypeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.arrayType()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterArraySpec

          void enterArraySpec(JaybirdSqlParser.ArraySpecContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.arraySpec()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitArraySpec

          void exitArraySpec(JaybirdSqlParser.ArraySpecContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.arraySpec()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterArrayRange

          void enterArrayRange(JaybirdSqlParser.ArrayRangeContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.arrayRange()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitArrayRange

          void exitArrayRange(JaybirdSqlParser.ArrayRangeContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.arrayRange()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterArrayElement

          void enterArrayElement(JaybirdSqlParser.ArrayElementContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.arrayElement()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitArrayElement

          void exitArrayElement(JaybirdSqlParser.ArrayElementContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.arrayElement()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterFunction

          void enterFunction(JaybirdSqlParser.FunctionContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.function()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitFunction

          void exitFunction(JaybirdSqlParser.FunctionContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.function()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterSubstringFunction

          void enterSubstringFunction(JaybirdSqlParser.SubstringFunctionContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.substringFunction()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitSubstringFunction

          void exitSubstringFunction(JaybirdSqlParser.SubstringFunctionContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.substringFunction()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTrimFunction

          void enterTrimFunction(JaybirdSqlParser.TrimFunctionContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.trimFunction()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTrimFunction

          void exitTrimFunction(JaybirdSqlParser.TrimFunctionContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.trimFunction()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterExtractFunction

          void enterExtractFunction(JaybirdSqlParser.ExtractFunctionContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.extractFunction()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitExtractFunction

          void exitExtractFunction(JaybirdSqlParser.ExtractFunctionContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.extractFunction()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTrimSpecification

          void enterTrimSpecification(JaybirdSqlParser.TrimSpecificationContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.trimSpecification()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTrimSpecification

          void exitTrimSpecification(JaybirdSqlParser.TrimSpecificationContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.trimSpecification()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterSelectClause

          void enterSelectClause(JaybirdSqlParser.SelectClauseContext ctx)

      Enter a parse tree produced by `JaybirdSqlParser.selectClause()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitSelectClause

          void exitSelectClause(JaybirdSqlParser.SelectClauseContext ctx)

      Exit a parse tree produced by `JaybirdSqlParser.selectClause()`.
      Parameters:
        `ctx` - the parse tree

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.